
CoCoALib - Feature #1332

New function: vector of RingElem from string -- in CoCoALib

08 Oct 2019 15:49 - Anna Maria Bigatti

Status: Closed Start date: 08 Oct 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 3.51 hours

Target version: CoCoALib-0.99650 November 2019 Spent time: 3.40 hours

Description

In many cases in CoCoALib, and often also in CoCoA-5, it would be convenient to make a vector of RingElem from a string, that is,

an extension of RingElem(R, str) to a vector.

Think, design, an implement.

2019-10 implemented as RingElems(ring, string)

Related issues:

Related to CoCoALib - Feature #1330: New syntax for NewQuotientRing Closed 08 Oct 2019

Related to CoCoALib - Feature #1329: New syntax for creating homomorphisms (P... Closed 08 Oct 2019

Related to CoCoALib - Feature #357: Constructor for vectors?  CoCoAVector Rejected 24 May 2013

Related to CoCoA-5 - Feature #1243: New function: Read a string into a list (... Closed 13 Feb 2019

Related to CoCoALib - Design #1391: RingElems: syntax with [ and ] ? Closed 10 Jan 2020

Related to CoCoALib - Design #1414: Make class RingElemVector? In Progress 12 Feb 2020

History

#1 - 08 Oct 2019 15:50 - Anna Maria Bigatti

- Related to Feature #1330: New syntax for NewQuotientRing added

#2 - 08 Oct 2019 15:50 - Anna Maria Bigatti

- Related to Feature #1329: New syntax for creating homomorphisms (PolyAlgebraHom) added

#3 - 08 Oct 2019 15:51 - Anna Maria Bigatti

- Related to Feature #357: Constructor for vectors?  CoCoAVector added

#4 - 08 Oct 2019 15:55 - Anna Maria Bigatti

- Category set to New Function

- Target version set to CoCoALib-0.99700

- % Done changed from 0 to 10

maybe CoCoAVector(R, string)?

e.g.

CoCoAVector(NewPolyRing(QQ,"x,y,z"),  "x^2-3, y^3-1234567");

#5 - 09 Oct 2019 15:55 - John Abbott

- Related to Feature #1243: New function: Read a string into a list (of RingElem) -- CoCoA-5 added

#6 - 09 Oct 2019 17:53 - Anna Maria Bigatti

- Subject changed from New function: vector of RingElem from string to New function: vector of RingElem from string -- in CoCoALib

Done:
I think I've done it. ... after lots of tedious little mistakes!

Called ReadExprVector(ring, string) in RingElemInput.[CH]

Now testing and applying where useful for CoCoA-5, then we can re-think of the function name within CoCoALib.

time added in #1243 by mistake

#7 - 10 Oct 2019 09:33 - Anna Maria Bigatti

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 80

#8 - 10 Oct 2019 09:34 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#9 - 10 Oct 2019 09:56 - Anna Maria Bigatti

reminder: write doc for cocoalib

#10 - 10 Oct 2019 09:57 - Anna Maria Bigatti

reminder: write doc for cocoalib

#11 - 15 Oct 2019 15:33 - Anna Maria Bigatti

I like the name RingElems(R, str) because it recalls the constructor RingElem(R, str).

The name I suggested before, CoCoAVector, is not good because it is used for a template with any type (VectorOps.H).

#12 - 17 Oct 2019 17:45 - John Abbott

OK for the name RingElems  it is a bit like symbols

(I do not really like it that much, but cannot think of a better one)

#13 - 18 Oct 2019 16:16 - Anna Maria Bigatti

- Description updated

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

done, documented, tested

#14 - 29 Oct 2019 16:21 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 3.51 h

documented in RingElem.txt

#15 - 10 Jan 2020 17:07 - John Abbott

- Related to Design #1391: RingElems: syntax with [ and ] ? added
#16 - 12 Feb 2020 14:49 - Anna Maria Bigatti

- Related to Design #1414: Make class RingElemVector? added
